Subject: RE: [mobile-ip] FW: I-D ACTION:draft-tsirtsis-dsmip-problem-00.tx t

From: Soliman Hesham <[email-masked]>
Date: Tue, 12 Aug 2003 07:02:44 -0400

Pekka, 

Thanks for the comments. Response below.

 > Thanks for putting up this draft.  I think it is very useful
 > in defining the problem.
 > 
 > However, unfortunately I do not personally agree at all with
 > the recommendations in the draft:
 > 
 > To me, it looks like such a solution might be workable, but the
 > resulting protocols might be very complex.  Too complex, in my
 > humble opinion.

=> This week we plan on submitting at least one solution
and we can assess complexity from there. But I'd like to 
emphasise that we are not aiming to have one protocol that
will solve everything. Even now, MIPv4 cannot provide all
of the features in MIPv6. I'd completely agree with the 
complexity argument if that were our goal, but we only
aim to have a transitional solution. 

 > 
 > HIP provides already now an implemented, demonstrated alternativity.
 > It does not only allow seamless mobility between IPv4 and IPv6, but
 > it also integrates multi-address multi-homing with mobility.
 > 
 > For an early draft describing what has been implemented, see
 > draft-nikander-hip-mm-00.txt.  While that requires much more work,
 > for example, to determine how to deal with NAT devices etc, the
 > basic approach has been implemented and demonstrated.
 > 
 > Hence, I would request that you drop the Mobile IP specific
 > recommendations from the problem statement draft, or at least
 > acknowledge that there are other approaches that may be able
 > to solve the problem in a different and perhaps better way.

=> Sure there are other approaches. However, our limiting factor
is existing deployment. We want to deal with existing problems
on the Internet that can be solved gradually. HIP does not do
that now because a) it does not exist in standards or products,
b) clearly not deployed, c) it has difficult problems that
have not begun to be addressed (e.g. hierarchical name space ...etc).
At this moment in time it is an idea that was prototyped and
we all know the time it takes from conception to deployment. 
Look at v6 which was introduced for a much more tangible problem
than the problems HIP is intended to solve, yet, 10 years later, 
deployment is still in its infancy (on a global level). So we need
to realise these issues (in fact they are _the_ issues to
think about) and not only look at the technical challenges.

Hesham

 > --Pekka Nikander

---

From: Pekka Nikander <[email-masked]>
Date: Tue, 12 Aug 2003 14:49:51 +0300

> aim to have a transitional solution. 

I see.  However, I'd still like to see a non-biased problem
statement, stating the problem and not skewed towards some
specific kind of a solution.

>  > it also integrates multi-address multi-homing with mobility.
...
 > on the Internet that can be solved gradually.

Well, I don't necessarily agree with respect to a problem
statement, as I wrote above.

OTOH, if you want to restrict the problem statement to
incremental solutions, please state so already in the very
beginning.  That is, either make clear that your problem statement
is a very narrowly scoped problem statement, aiming at providing
integrated IPv4/v6 mobility basing on existing deployment and
deployed protocols, or remove the MIP specific recommendations.

In other words, I can see two different problem statements: one
focusing on incremental changes based on deployed protocols, and
another one that takes a look just at the problem, being not so
much concerned with existing deployment.  IMHO, right now at
least I remain confused which one your draft refers to.
(Maybe I just read the draft too quickly.)

> At this moment in time [HIP] is an idea that was prototyped and

I completely agree.

I just want to have a clear scope for the problem statement.

As a side issue, I want to remind people, especially in the
light of the Vienna IAB open meeting, that there are a number of
complex architectural problems that we need to solve at some
point of time, and as we proceed to solve them, some of the
hard problems that people currently use much effort to solve
may suddenly completely change their nature.

--Pekka Nikander

---

From: "James Kempf" <[email-masked]>
Date: Tue, 12 Aug 2003 08:54:01 -0700

Hesham,

> think about) and not only look at the technical challenges.

I believe the intent of surfacing HIP is not to produce a Proposed Standard
but rather to do a set of Experimental drafts that would serve as a basis
for further work, somewhat similar to mipshop and the FMIPv4 work. That work
would presumably involve the operational issues you talk about [1], in
addition to technical issues.

            jak

[1] Note that these issues also apply to MIPv6. I don't know of anybody
today offering commercial MIPv6 service, and when somebody does, we will
probably see the same kind of operational issues arise in the MIPv6 WG that
are currently being dealt with by the MIPv4 WG.

---

From: Charlie P <[email-masked]>
Date: Tue, 12 Aug 2003 09:43:29 -0700

Hello Jim,

I do not doubt that Mobile IPv6 will face certain operational issues.
In fact, some have already been mentioned in the context of GGSN
operation.  But ...

James Kempf wrote:

>probably see the same kind of operational issues arise in the MIPv6 WG that are currently being dealt with by the MIPv4 WG.
>
... this isn't guaranteed.  I would hope that some of the basic features of
IPv6, and the "improved" security features of Mobile IPv6 might go a long
way towards avoiding some of the difficulties of NAT traversal, and might
be a major improvement over the (eek!) tri-tunnel VPN suggestion.

It's at least a hope.

Regards,
Charlie P.